package com.chenyang.nse.bussiness.dao.table.core.fieldscope;

import com.chenyang.nse.bussiness.dao.BaseDao;
import com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope.TCoreFieldDirectory;
import java.util.ArrayList;
import java.util.List;
import org.hibernate.transform.Transformers;
import org.springframework.stereotype.Repository;

@Repository
public class TCoreFieldDirectoryDao extends BaseDao<TCoreFieldDirectory, String> {
   public void saveTCoreFieldDirectory(StringBuilder sql) {
      this.getSession().createNativeQuery(sql.toString()).executeUpdate();
   }

   public List<TCoreFieldDirectory> getTCoreFieldDirectory(StringBuilder sql) {
      List<TCoreFieldDirectory> vo = this.getSession().createNativeQuery(sql.toString()).setResultTransformer(Transformers.aliasToBean(TCoreFieldDirectory.class)).getResultList();
      return vo;
   }

   public List<Object> getTCoreFieldDirectoryCount(StringBuilder sql) {
      new ArrayList();
      List list = this.getSession().createNativeQuery(sql.toString()).getResultList();
      return list;
   }
}
